# Ds\Pair::copy

(No version information available, might only be in Git)

Ds\Pair::copy — Returns a shallow copy of the pair

### Description

public Ds\Pair::copy ( void ) : Ds\Pair

Returns a shallow copy of the pair.

### Parameters

This function has no parameters.

### Return Values

Returns a shallow copy of the pair.

### Examples

Example #1 Ds\Pair::copy() example

`<?php
$a = new \Ds\Pair("a", 1);
$b = $a->copy();
$a->key = "x";
print_r($a);
print_r($b);
?>`

The above example will output something similar to:

    Ds\Pair Object
    (
        [key] => x
        [value] => 1
    )
    Ds\Pair Object
    (
        [key] => a
        [value] => 1
    )